## org.eclipse.emf.cdo.defs.util
Class CDODefsUtil

    java.lang.Object
      org.eclipse.emf.cdo.defs.util.CDODefsUtil

    public class CDODefsUtil

extends java.lang.Object

Constructor Summary
`CDODefsUtil()`

Method Summary
`static CDOAuditDef` `createCDOAuditDef(CDOSessionDef cdoSessionDef)`
`static CDOResourceDef` `createCDOResourceDef(CDOTransactionDef cdoTransactionDef)`
`static CDOTransactionDef` `createCDOTransactionDef(CDOSessionDef cdoSessionDef)`
`static CDOTransactionDef` `createCDOTransactionDef(java.lang.String host, java.lang.String repositoryName, org.eclipse.net4j.defs.TCPConnectorDef tcpConnectorDef)`
`static CDOPackageRegistryDef` `createEagerPackageRegistryDef()`
`static CDOPackageRegistryDef` `createLazyPackageRegistryDef()`
`static CDOSessionDef` `createSessionDef(java.lang.String repositoryName, CDOPackageRegistryDef ePackageRegistryDef, FailOverStrategyDef failOverStrategyDef)`
`static CDOSessionDef` `createSessionDef(java.lang.String repositoryName, CDOPackageRegistryDef ePackageRegistryDef, org.eclipse.net4j.defs.TCPConnectorDef tcpConnectorDef)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDODefsUtil

    public CDODefsUtil()

Method Detail

### createSessionDef

    public static CDOSessionDef createSessionDef(java.lang.String repositoryName,
                                                 CDOPackageRegistryDef ePackageRegistryDef,
                                                 org.eclipse.net4j.defs.TCPConnectorDef tcpConnectorDef)

### createSessionDef

    public static CDOSessionDef createSessionDef(java.lang.String repositoryName,
                                                 CDOPackageRegistryDef ePackageRegistryDef,
                                                 FailOverStrategyDef failOverStrategyDef)

### createEagerPackageRegistryDef

    public static CDOPackageRegistryDef createEagerPackageRegistryDef()

### createLazyPackageRegistryDef

    public static CDOPackageRegistryDef createLazyPackageRegistryDef()

### createCDOAuditDef

    public static CDOAuditDef createCDOAuditDef(CDOSessionDef cdoSessionDef)

### createCDOTransactionDef

    public static CDOTransactionDef createCDOTransactionDef(java.lang.String host,
                                                            java.lang.String repositoryName,
                                                            org.eclipse.net4j.defs.TCPConnectorDef tcpConnectorDef)

### createCDOTransactionDef

    public static CDOTransactionDef createCDOTransactionDef(CDOSessionDef cdoSessionDef)

### createCDOResourceDef

    public static CDOResourceDef createCDOResourceDef(CDOTransactionDef cdoTransactionDef)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.